## golang-github-cqroot-prompt 0.9.4

=== Makefile ===
.PHONY: test
test:
	go test -v -covermode=count -coverprofile=coverage.out ./...

.PHONY: check
check:
	golangci-lint run
	@echo
	gofumpt -l .

.PHONY: cover
cover: test
	go tool cover -html=coverage.out

.PHONY: screenshots
screenshots:
	bash $(CURDIR)/scripts/screenshots.bash

=== debian/changelog ===
golang-github-cqroot-prompt (0.9.4-1) unstable; urgency=medium

  * Initial upload to sid, needed for changie.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2026 19:06:54 +0100

=== debian/control ===
Source: golang-github-cqroot-prompt
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-charmbracelet-bubbles-dev,
 golang-github-charmbracelet-bubbletea-dev,
 golang-github-charmbracelet-lipgloss-dev,
 golang-github-cqroot-multichoose-dev,
 golang-github-stretchr-testify-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/cqroot/prompt
Vcs-Browser: https://forgejo.debian.net/changie/golang-github-cqroot-prompt
Vcs-Git: https://forgejo.debian.net/changie/golang-github-cqroot-prompt
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/cqroot/prompt

Package: golang-github-cqroot-prompt-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-charmbracelet-bubbles-dev,
 golang-github-charmbracelet-bubbletea-dev,
 golang-github-charmbracelet-lipgloss-dev,
 golang-github-stretchr-testify-dev,
 ${misc:Depends},
Description: User-friendly, highly customizable interactive prompts for Go (library)
 Prompt is a user-friendly, highly customizable interactive prompts for Go,
 based on Bubble Tea and inspired by Prompts and Gum:
 .
  * choose lets the user choose one of several strings using the
    terminal ui.
  * multichoose lets the user choose multiple strings from multiple
    strings using the terminal ui.
  * input lets the user enter a string using the terminal ui.
    You can specify that only **numbers** or **integers** are allowed.
  * Show help message for keymaps.
  * Based on Bubble Tea.
    prompt.Prompt and all child models implement tea.Model.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	# disabled: needs additional depends

=== debian/watch ===
Version: 5

Template: Github
Owner: cqroot
Project: prompt
